Множественные уязвимости в MyBB

Дата публикации:
11.09.2008
Дата изменения:
11.09.2008
Всего просмотров:
2073
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-3965
CVE-2008-3966
CVE-2008-3967
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MyBB (formerly MyBulletinBoard) 1.x
Уязвимые версии: MyBB версии до 1.4.1

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю обойти некоторые ограничения безопасности, произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной проверки привилегий модератора в сценарии moderation.php. Подробности уязвимости не разглашаются.

2. Уязвимость существует из-за недостаточной обработки входных данных в поле referrer в сценарии usercp2.php, в поле location в сценарии inc/functions_online.php и в полях tsubject и psubject в сценарии moderation.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной обработки входных данных в сценарии misc.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: www.mybboard.net

Решение: Установите последнюю версию 1.4.1 с сайта производителя.

Ссылки: http://community.mybboard.net/showthread.php?tid=36022

или введите имя

CAPTCHA